D4Science Infrastructure - Task #3236

TabMan; Sharing something which is not mine
Apr 13, 2016 09:23 AM - Anton Ellenbroek

Status: Closed Start date: Apr 13, 2016
Priority: Normal Due date:

Assignee: francesco paparella % Done: 100%
Category: Data Management Estimated time: 0.00 hour
Target version: TabMan

Infrastructure: Production

Description

If | open a table, | can click the share button (useful to see who it was shared with)
When | click "OK" or try to add someone, | receive a Big Fat Error. Bad usability policy.
If I have no rights to share, then either disable the options, or remove the button. In any case, it should not raise an error.

In addition, in the shared with users box, | see also a VRE (including some url) can the VRE's be listed in another box? And with a
short name FAO Tuna Atlas would do.

| propose that | can share with other users, but publish to a VRE

History

#1 - Apr 13, 2016 11:29 AM - Pasquale Pagano
- Tracker changed from Support to Task
- Category set to Data Management

- Assignee set to Giancarlo Panichi

| understand the disappointment and | share your view since this was already discussed internally many months ago. The needs of a user conflicts
many times with the vision of the developers. Let's see if we can change this now as result of your feedback.

#2 - Apr 13, 2016 03:02 PM - Giancarlo Panichi

We need to update the share widget @francesco.mangiacrapa@isti.cnr.it, what do you think?

#4 - Feb 22, 2017 04:57 PM - Giancarlo Panichi

- Assignee changed from Giancarlo Panichi to Francesco Mangiacrapa

Please @francesco.mangiacrapa@isti.cnr.it fix css layout of Workspace Sharing Widget.

#5 - Feb 27, 2017 04:13 PM - Francesco Mangiacrapa
- Status changed from New to In Progress
- Assignee changed from Francesco Mangiacrapa to francesco paparella

- % Done changed from 0 to 100

| just deployed on Nexus (and released also) a patched version of Workspace-Sharing-Widget including stylesheet fixed.
A minor glitch is still present regarding input-text and text-area due to following rule released in the file: tabulardataportlet.css

i.aui input, .aui textarea, .aui .uneditable-input {
width: 100% !important;
}
but discussing with @g.panichi@isti.cnr.it about this, the rule seems important to perform correct rendering for TDM portlet
@g.panichi@isti.cnr.it please close the ticket if it works fine for you

#7 - Feb 27, 2017 04:18 PM - Giancarlo Panichi

- Status changed from In Progress to Closed
It is ready for Release GCube 4.3
